package cn.yw.video.videotask.model;

import cn.base.bean.BaseBean;
//[运维监控任务关联集合列表]

public class YwvideotaskbysetlistBean extends BaseBean implements java.io.Serializable {
	private String id;//[主键]
	private String taskid;//[任务编号]
	private String channelsetid;//[设备编号]
	private String channellistid;//[]
	private String videonum;//[设备编号]
	private int channelnum;//[通道编号]
	private String channelname;//[通道名称]
	private int channelsort;//[通道排序]
	private int videomodel;//[抽取视频模式]
	private int recordxdays;//[抽取录像x天前]
	private int recordmodel;//[抽取录像模式]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setId(String id){
		this.id = id;
	}
	public String getId(){
		return id;
	}
	public void setTaskid(String taskid){
		this.taskid = taskid;
	}
	public String getTaskid(){
		return taskid;
	}
	public void setChannelsetid(String channelsetid){
		this.channelsetid = channelsetid;
	}
	public String getChannelsetid(){
		return channelsetid;
	}
	public void setChannellistid(String channellistid){
		this.channellistid = channellistid;
	}
	public String getChannellistid(){
		return channellistid;
	}
	public void setVideonum(String videonum){
		this.videonum = videonum;
	}
	public String getVideonum(){
		return videonum;
	}
	public void setChannelnum(int channelnum){
		this.channelnum = channelnum;
	}
	public int getChannelnum(){
		return channelnum;
	}
	public void setChannelname(String channelname){
		this.channelname = channelname;
	}
	public String getChannelname(){
		return channelname;
	}
	public void setChannelsort(int channelsort){
		this.channelsort = channelsort;
	}
	public int getChannelsort(){
		return channelsort;
	}
	public void setVideomodel(int videomodel){
		this.videomodel = videomodel;
	}
	public int getVideomodel(){
		return videomodel;
	}
	public void setRecordxdays(int recordxdays){
		this.recordxdays = recordxdays;
	}
	public int getRecordxdays(){
		return recordxdays;
	}
	public void setRecordmodel(int recordmodel){
		this.recordmodel = recordmodel;
	}
	public int getRecordmodel(){
		return recordmodel;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}